QuotaByStorageTypeExceededException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: QuotaByStorageTypeExceededException

Package org.apache.hadoop.hdfs.protocol

# Class QuotaByStorageTypeExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.fs.ClusterStorageCapacityExceededException
org.apache.hadoop.hdfs.protocol.QuotaExceededException
org.apache.hadoop.hdfs.protocol.QuotaByStorageTypeExceededException

All Implemented Interfaces:
  `Serializable`

@Public @Evolving public class QuotaByStorageTypeExceededException extends QuotaExceededException

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final long`
  `serialVersionUID`
  `protected StorageType`
  `type`

  ### Fields inherited from class org.apache.hadoop.hdfs.protocol.QuotaExceededException

  `count, pathName, quota`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuotaByStorageTypeExceededException()`
  `QuotaByStorageTypeExceededException(long quota, long count, StorageType type)`
  `QuotaByStorageTypeExceededException(String msg)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class org.apache.hadoop.hdfs.protocol.QuotaExceededException

  `setPathName`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### serialVersionUID

    protected static final long serialVersionUID
    See Also:
      - Constant Field Values

  - ### type

    protected StorageType type

- ## Constructor Details

  - ### QuotaByStorageTypeExceededException

    public QuotaByStorageTypeExceededException()

  - ### QuotaByStorageTypeExceededException

    public QuotaByStorageTypeExceededException(String msg)

  - ### QuotaByStorageTypeExceededException

    public QuotaByStorageTypeExceededException(long quota, long count, StorageType type)

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `QuotaExceededException`